from PySide6.QtWidgets import QHBoxLayout
from qfluentwidgets import FluentTitleBar
from qfluentwidgets.window.fluent_window import FluentWindowBase


class MyWindow(FluentWindowBase):
    def __init__(self, parent=None):
        super().__init__(parent)
        self.setTitleBar(FluentTitleBar(self))

        self.widgetLayout = QHBoxLayout(self)
        self.widgetLayout.setContentsMargins(0, 48, 0, 0)
        self.hBoxLayout.addLayout(self.widgetLayout)

        self.titleBar.raise_()
        self.showMaximized()
